#--*-- coding:UTF-8 --*--
import mi_debugger_final
from mis_definiciones_debugger_final import *
debugger=mi_debugger_final.debugger()
pid=raw_input("Introduzca el PID del proceso a asociar: ")
debugger.attach(int(pid))
printf_address=debugger.func_resolve("msvcrt.dll","printf")
print u"[*] Dirección del printf : 0x%08x"%printf_address
debugger.bp_set_hw(printf_address,1,HW_EXECUTE)
debugger.run()

debugger.detach()